/**
    (C) Copyright 2010 Dominik Wagenfuehr

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this program. If not, see
    <http://www.gnu.org/licenses/>.
*/

// Own
/////////
#include "gamewindow.hh"
#include "trace.hh"

// Qt
//////////
#include <QApplication>
#include <QTranslator>
#include <QLocale>

// Sys
////////
#include <iostream>

int main( int argc, char *argv[] )
{
    // Create Qt application.
    QApplication app( argc, argv );

    QTranslator appTranslator;
    if ( appTranslator.load( "gui_" + QLocale::system().name() ) )
    {
        app.installTranslator( &appTranslator );
    }

    // Trace::activate( MTP_GAMEMAP,           0x000F );
    // Trace::activate( MTP_FIELD,             0x0006 );
    // Trace::activate( MTP_PLAYER,            0x0003 );
    // Trace::activate( MTP_KEY,               0x0001 );
    // Trace::activate( MTP_COMMAND,           0x0003 );
    // Trace::activate( MTP_PARSER,            0x0003 );
    // Trace::activate( MTP_CLIENT,            0x003F );
    // Trace::activate( MTP_GAME_WINDOW,       0x0007 );
    // Trace::activate( MTP_GAME_AREA,         0x0001 );

    // create gui window
    GameWindow window;
    window.show();

    return app.exec();
}
